Bug 485599 - policycoreutils-gui generates a shell script referring to selinux-policy-devel
policycoreutils-gui generates a shell script referring to selinux-policy-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 23:16 EST by Michael
Modified: 2009-06-26 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 15:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2009-02-14 23:16:43 EST
Description of problem:
policycoreutils-gui generates a shell script which checks the presence of /usr/share/selinux/devel/Makefile and refers to selinux-policy-devel.

Version-Release number of selected component (if applicable):
policycoreutils-gui-2.0.57-17.fc10.i386

How reproducible: constantly.

Steps to Reproduce:
1. run: selinux-polgengui &
2. choose: "User Application"
3. complete other steps.
  
Actual results:

if [ ! -f /usr/share/selinux/devel/Makefile ]; then
echo 'selinux-policy-devel not installed, package required for building policy'
echo '# yum install selinux-policy-devel'
exit 1
fi


Expected results: selinux-policy
Comment 1 Daniel Walsh 2009-02-16 09:23:39 EST
Did you actually find this file was missing? 
 
/usr/share/selinux/devel/Makefile 

Or did you just read the shell script?

Fixed in policycoreutils-2.0.57-19
Comment 2 Michael 2009-02-16 11:27:33 EST
>Did you actually find this file was missing? 

The file is present:
$ ls -al /usr/share/selinux/devel/Makefile 
-rw-r--r-- 1 root root 408 2009-02-05 13:38 /usr/share/selinux/devel/Makefile

>Or did you just read the shell script?

Well. Yes. I even ran it.

>Fixed in policycoreutils-2.0.57-19

Ummm...
Comment 3 Daniel Walsh 2009-02-16 12:43:01 EST
Ok I was just checking to see if there was some other bug.

selinux-policy-devel was rolled into selinux-policy for F10, but the script was never fixed.

Note You need to log in before you can comment on or make changes to this bug.